Index: /trunk/gsdl-documentation/manuals/xml-source/en/Develop_en.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/en/Develop_en.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/en/Develop_en.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Develop" lang="en">
 <Heading>
@@ -67,5 +73,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/en/Install_en.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/en/Install_en.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/en/Install_en.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Install" lang="en">
 <Heading>
@@ -66,5 +72,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/en/Paper_en.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/en/Paper_en.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/en/Paper_en.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Paper" lang="en">
 <Heading>
@@ -66,5 +72,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/en/User_en.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/en/User_en.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/en/User_en.xml	(revision 14106)
@@ -1,8 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
-
 <!DOCTYPE Manual [
-	<!ENTITY chap_gli SYSTEM "help-en.xml">
+	<!ENTITY chap_gli SYSTEM "help-en.xml">	
+    <!ENTITY nbsp "&#160;">
+    <!ENTITY rarr "&#8594;">
+    <!ENTITY mdash "&#8212;">  
+    <!ENTITY copy "&#169;">
 ]>
-
 <Manual id="User" lang="en">
 <Heading>
@@ -69,5 +71,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/es/Develop_es.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/es/Develop_es.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/es/Develop_es.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Develop" lang="es">
 <Heading>
@@ -67,5 +73,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/es/Install_es.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/es/Install_es.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/es/Install_es.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Install" lang="es">
 <Heading>
@@ -66,5 +72,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/es/Paper_es.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/es/Paper_es.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/es/Paper_es.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Paper" lang="es">
 <Heading>
@@ -67,5 +73,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/es/User_es.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/es/User_es.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/es/User_es.xml	(revision 14106)
@@ -1,6 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
-
 <!DOCTYPE Manual [
-	<!ENTITY chap_gli SYSTEM "help-es.xml">
+	<!ENTITY chap_gli SYSTEM "help-es.xml">	
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
 ]>
 
@@ -69,5 +72,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/fr/Develop_fr.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Develop" lang="fr">
 <Heading>
@@ -67,5 +73,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/fr/Install_fr.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/fr/Install_fr.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/fr/Install_fr.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Install" lang="fr">
 <Heading>
@@ -66,5 +72,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/fr/Paper_fr.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/fr/Paper_fr.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/fr/Paper_fr.xml	(revision 14106)
@@ -1,3 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE Manual [
+     <!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
+]>
 <Manual id="Paper" lang="fr">
 <Heading>
@@ -66,5 +72,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>
Index: /trunk/gsdl-documentation/manuals/xml-source/fr/User_fr.xml
===================================================================
--- /trunk/gsdl-documentation/manuals/xml-source/fr/User_fr.xml	(revision 14105)
+++ /trunk/gsdl-documentation/manuals/xml-source/fr/User_fr.xml	(revision 14106)
@@ -1,8 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
-
 <!DOCTYPE Manual [
 	<!ENTITY chap_gli SYSTEM "help-fr.xml">
+	<!ENTITY nbsp "&#160;">
+     <!ENTITY rarr "&#8594;">
+     <!ENTITY mdash "&#8212;">  
+     <!ENTITY copy "&#169;">   
 ]>
-
 <Manual id="User" lang="fr">
 <Heading>
@@ -69,5 +71,5 @@
 </Title>
 <Content>
-<Text id="right-text-1">Copyright 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
+<Text id="right-text-1">Copyright &copy; 2002 2003 2004 2005 2006 2007 by the <Link url="http://www.nzdl.org">New Zealand Digital Library Project</Link> at <Link url="http://www.waikato.ac.nz">the University of Waikato</Link>, New Zealand.</Text>
 <Text id="right-text-2">Permission is granted to copy, distribute and/or modify this document under the terms of the <Link url="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation License</Link>, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled <Link url="http://greenstonewiki.cs.waikato.ac.nz/wiki/gsdoc/GNUFDL.html">âGNU Free Documentation License.â</Link></Text>
 </Content>