Index: /gsdl/trunk/perllib/classify/GenericList.pm
===================================================================
--- /gsdl/trunk/perllib/classify/GenericList.pm	(revision 14172)
+++ /gsdl/trunk/perllib/classify/GenericList.pm	(revision 14173)
@@ -253,5 +253,5 @@
 		    # This means that length() and substr() work properly
 		    # We need to be careful to convert classifier node title values back to UTF-8, however
-		    my $metadata_value_unicode_string = &convert_utf8_string_to_unicode_string($metadata_value);
+		    my $metadata_value_unicode_string = $self->convert_utf8_string_to_unicode_string($metadata_value);
 
 		    # Add the metadata value into the list for this combination of metadata group and section
@@ -286,5 +286,5 @@
 
     # Recursively create the classification hierarchy, one level for each metadata group
-    &add_level($self, \@metadata_groups, \@OIDs, \%classifier_node);
+    $self->add_level(\@metadata_groups, \@OIDs, \%classifier_node);
     return \%classifier_node;
 }
@@ -325,5 +325,5 @@
     if ($partition_type_within_level =~ /^per_letter$/i) {
 	# Generate one hlist for each letter
-	my @sortedmetavalues = &sort_metadata_values_array($self, keys(%metavaluetoOIDhash));
+	my @sortedmetavalues = $self->sort_metadata_values_array(keys(%metavaluetoOIDhash));
 	my %metavaluetoOIDsubhash = ();
 
@@ -334,5 +334,5 @@
 	    # Is this the start of a new partition?
 	    if ($metavaluepartition ne $lastpartition) {
-		&add_hlist_partition($self, \@metadata_groups, $classifier_node, $lastpartition, \%metavaluetoOIDsubhash);
+		$self->add_hlist_partition(\@metadata_groups, $classifier_node, $lastpartition, \%metavaluetoOIDsubhash);
 		%metavaluetoOIDsubhash = ();
 		$lastpartition = $metavaluepartition;
@@ -343,5 +343,5 @@
 
 	# Don't forget to add the last partition
-	&add_hlist_partition($self, \@metadata_groups, $classifier_node, $lastpartition, \%metavaluetoOIDsubhash);
+	$self->add_hlist_partition(\@metadata_groups, $classifier_node, $lastpartition, \%metavaluetoOIDsubhash);
 
 	# The partitions are stored in an HList
@@ -353,5 +353,5 @@
 	my $partition_size_within_level = $self->{$metadata_group . ".partition_size_within_level"};
 	if ($partition_type_within_level =~ /^constant_size$/i && scalar(keys %metavaluetoOIDhash) > $partition_size_within_level) {
-	    my @sortedmetavalues = &sort_metadata_values_array($self, keys(%metavaluetoOIDhash));
+	    my @sortedmetavalues = $self->sort_metadata_values_array(keys(%metavaluetoOIDhash));
 	    my $itemsdone = 0;
 	    my %metavaluetoOIDsubhash = ();
@@ -365,10 +365,10 @@
 		# Is this the start of a new partition?
 		if ($itemsinpartition == 1) {
-		    $partitionstart = &generate_partition_start($metavalue, $lastpartitionend, $self->{"partition_name_length"});
+		    $partitionstart = $self->generate_partition_start($metavalue, $lastpartitionend, $self->{"partition_name_length"});
 		}
 
 		# Is this the end of the partition?
 		if ($itemsinpartition == $partition_size_within_level || $itemsdone == @sortedmetavalues) {
-		    my $partitionend = &generate_partition_end($metavalue, $partitionstart, $self->{"partition_name_length"});
+		    my $partitionend = $self->generate_partition_end($metavalue, $partitionstart, $self->{"partition_name_length"});
 		    my $partitionname = $partitionstart;
 		    if ($partitionend ne $partitionstart) {
@@ -376,5 +376,5 @@
 		    }
 
-		    &add_hlist_partition($self, \@metadata_groups, $classifier_node, $partitionname, \%metavaluetoOIDsubhash);
+		    $self->add_hlist_partition(\@metadata_groups, $classifier_node, $partitionname, \%metavaluetoOIDsubhash);
 		    %metavaluetoOIDsubhash = ();
 		    $lastpartitionend = $partitionend;
@@ -388,5 +388,5 @@
 	# Otherwise just add all the values to a VList
 	else {
-	    &add_vlist($self, \@metadata_groups, $classifier_node, \%metavaluetoOIDhash);
+	    $self->add_vlist(\@metadata_groups, $classifier_node, \%metavaluetoOIDhash);
 	}
     }
@@ -396,4 +396,5 @@
 sub convert_utf8_string_to_unicode_string
 {
+    my $self = shift(@_);
     my $utf8_string = shift(@_);
 
@@ -408,4 +409,5 @@
 sub convert_unicode_string_to_utf8_string
 {
+    my $self = shift(@_);
     my $unicode_string = shift(@_);
 
@@ -420,4 +422,5 @@
 sub generate_partition_start
 {
+    my $self = shift(@_);
     my $metavalue = shift(@_);
     my $lastpartitionend = shift(@_);
@@ -443,4 +446,5 @@
 sub generate_partition_end
 {
+    my $self = shift(@_);
     my $metavalue = shift(@_);
     my $partitionstart = shift(@_);
@@ -476,10 +480,10 @@
 
     # Create an hlist partition
-    my %child_classifier_node = ( 'Title' => &convert_unicode_string_to_utf8_string($partitionname),
+    my %child_classifier_node = ( 'Title' => $self->convert_unicode_string_to_utf8_string($partitionname),
 				  'childtype' => "VList",
 				  'contains' => [] );
 
     # Add the children to the hlist partition
-    &add_vlist($self, \@metadata_groups, \%child_classifier_node, \%metavaluetoOIDhash);
+    $self->add_vlist(\@metadata_groups, \%child_classifier_node, \%metavaluetoOIDhash);
     push(@{$classifier_node->{'contains'}}, \%child_classifier_node);
 }
@@ -497,5 +501,5 @@
 
     # Create an entry in the vlist for each value
-    foreach my $metavalue (&sort_metadata_values_array($self, keys(%metavaluetoOIDhash))) {
+    foreach my $metavalue ($self->sort_metadata_values_array(keys(%metavaluetoOIDhash))) {
 	my @OIDs = @{$metavaluetoOIDhash{$metavalue}};
 
@@ -519,5 +523,5 @@
 	# Otherwise create a sublist (bookshelf) for the metadata value
 	else {
-	    my %child_classifier_node = ( 'Title' => &convert_unicode_string_to_utf8_string($metavalue),
+	    my %child_classifier_node = ( 'Title' => $self->convert_unicode_string_to_utf8_string($metavalue),
 					  'childtype' => "VList",
 					  'contains' => [] );
@@ -527,5 +531,5 @@
 		my $next_metadata_group = $metadata_groups[0];
 		$child_classifier_node{'childtype'} = $self->{$next_metadata_group . ".list_type"};
-		&add_level($self, \@metadata_groups, \@OIDs, \%child_classifier_node);
+		$self->add_level(\@metadata_groups, \@OIDs, \%child_classifier_node);
 	    }
 	    # Otherwise just add the documents as children of this list