Index: greenstone3/trunk/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml
===================================================================
--- greenstone3/trunk/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml	(revision 14185)
+++ greenstone3/trunk/web/sites/localsite/collect/gs2mgppdemo/etc/collectionConfig.xml	(revision 14188)
@@ -1,55 +1,38 @@
-<collectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-><metadataList
-><metadata name="creator"
->greenstone@cs.waikato.ac.nz</metadata
-><metadata name="public"
->true</metadata
-></metadataList
-><displayItemList
-><displayItem name="description" lang="en"
->This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MGPP, which provides form based searching. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3.</displayItem
-><displayItem name="smallicon" lang="en"
->gs2mgppdemo_sm.gif</displayItem
-><displayItem name="icon" lang="en"
->gs2mgppdemo.gif</displayItem
-><displayItem name="name" lang="en"
->Greenstone2 MGPP demo collection</displayItem
-></displayItemList
-><search type="mgpp"
-><index name="dls.Organization"
-><displayItem name="name" lang="en"
->organisations</displayItem
-></index
-><index name="dls.Title"
-><displayItem name="name" lang="en"
-> titles</displayItem
-></index
-><index name="text"
-><displayItem name="name" lang="en"
->text</displayItem
-></index
-><index name="allfields"
-><displayItem name="name" lang="en"
->all fields</displayItem
-></index
-><index name="dls.Subject"
-><displayItem name="name" lang="en"
->subjects</displayItem
-></index
-><level name="document"
-></level
-><level name="section"
-></level
-><defaultLevel name="document"></defaultLevel><format
-><gsf:template match="documentNode"
-><td valign='top'><gsf:link type='document'><gsf:icon type='document'/></gsf:link></td><td><gsf:switch><gsf:metadata name='Title' select='ancestors' separator=': ' /><gsf:when test='exists' ><gsf:metadata name='Title' select='ancestors' separator=': ' />:</gsf:when></gsf:switch><gsf:link type='document'><gsf:metadata name='Title' /></gsf:link></td></gsf:template
-></format
-><indexOption>
-	<option name="accentfold" />
-	<option name="casefold" />
-	<option name="stem" />
-</indexOption>
-</search
->    <import>
+<?xml version="1.0" encoding="UTF-8"?>
+<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+    <metadataList>
+        <metadata lang="en" name="creator">greenstone@cs.waikato.ac.nz</metadata>
+        <metadata lang="en" name="maintainer"/>
+        <metadata lang="en" name="public">true</metadata>
+    </metadataList>
+    <displayItemList>
+        <displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MGPP, which provides form based searching. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3.</displayItem>
+        <displayItem assigned="true" lang="en" name="smallicon">gs2mgppdemo_sm.gif</displayItem>
+        <displayItem assigned="true" lang="en" name="icon">gs2mgppdemo.gif</displayItem>
+        <displayItem assigned="true" lang="en" name="name">Greenstone2 MGPP demo collection</displayItem>
+    </displayItemList>
+    <search type="mgpp">
+        <level name="section"/>
+        <level name="document"/>
+        <defaultLevel name="section"/>
+        <index name="allfields">
+            <displayItem lang="en" name="name">all fields</displayItem>
+        </index>
+        <index name="text">
+            <displayItem lang="en" name="name">text</displayItem>
+        </index>
+        <index name="dls.Title">
+            <displayItem lang="en" name="name"> titles</displayItem>
+        </index>
+        <index name="dls.Subject">
+            <displayItem lang="en" name="name">subjects</displayItem>
+        </index>
+        <index name="dls.Organization">
+            <displayItem lang="en" name="name">organisations</displayItem>
+        </index>
+        <format name="searchType">plain,form</format>
+        <format><gsf:template match="documentNode">                                      <td valign="top">                                                         <gsf:link type="document">                                                                            <gsf:icon type="document"/>                                                                  </gsf:link>                                               </td>                                      <td>                                                         <gsf:switch>                                                                            <gsf:metadata name="Title" select="ancestors" separator=": "/>                                                                            <gsf:when test="exists">                                                                                               <gsf:metadata name="Title" select="ancestors" separator=": "/>                                                  :                                        </gsf:when>                                                                  </gsf:switch>                                                         <gsf:link type="document">                                                                            <gsf:metadata name="Title"/>                                                                  </gsf:link>                                               </td>                            </gsf:template></format>
+    </search>
+    <import>
         <pluginList>
             <plugin name="GAPlug"/>
@@ -62,21 +45,12 @@
         </pluginList>
     </import>
-<browse
-><format
-><gsf:template match="documentNode"
-><td valign="top"><gsf:link type='document'><gsf:icon type='document'/></gsf:link></td> <td valign="top"><gsf:metadata name='srclink' /><gsf:choose-metadata><gsf:metadata name='thumbicon' /><gsf:metadata name='srcicon' /></gsf:choose-metadata><gsf:metadata name='/srclink' /></td> <td valign="top"> <gsf:choose-metadata><gsf:metadata name='dc.Title' /><gsf:metadata name='exp.Title' /><gsf:metadata name='Title' /><gsf:default>Untitled</gsf:default></gsf:choose-metadata> <gsf:switch><gsf:metadata name='Source' /><gsf:when test='exists' ><br /><i>(<gsf:metadata name='Source' />)</i></gsf:when></gsf:switch></td></gsf:template
-><gsf:template match="classifierNode"
-><td valign="top"><gsf:link type='classifier'><gsf:icon type='classifier'/></gsf:link></td> <td valign="top"><gsf:metadata name='srclink' /><gsf:choose-metadata><gsf:metadata name='thumbicon' /><gsf:metadata name='srcicon' /></gsf:choose-metadata><gsf:metadata name='/srclink' /></td> <td valign="top"> <gsf:choose-metadata><gsf:metadata name='dc.Title' /><gsf:metadata name='exp.Title' /><gsf:metadata name='Title' /><gsf:default>Untitled</gsf:default></gsf:choose-metadata> <gsf:switch><gsf:metadata name='Source' /><gsf:when test='exists' ><br /><i>(<gsf:metadata name='Source' />)</i></gsf:when></gsf:switch></td></gsf:template
-><gsf:template match="classifierNode" mode="horizontal"
-><gsf:link type='horizontal'><gsf:metadata name='Title' /></gsf:link></gsf:template
-></format
->        
-<classifier name="AZList">
+    <browse>
+        <classifier name="AZList">
             <option name="-metadata" value="dls.Title"/>
-</classifier>
-<classifier name="Hierarchy">
+        </classifier>
+        <classifier name="Hierarchy">
             <option name="-metadata" value="dls.Subject"/>
             <option name="-sort" value="dls.Title"/>
-</classifier>
+        </classifier>
         <classifier name="AZCompactList">
             <option name="-metadata" value="dls.Organization"/>
@@ -88,16 +62,11 @@
             <option name="-metadata" value="dls.Keyword"/>
             <option name="-buttonname" value="Howto"/>
-        <format
-><gsf:template match="documentNode"
-><td><gsf:link type='document'><gsf:metadata name='dls.Keyword' /></gsf:link></td></gsf:template
-><gsf:template match="classifierNode"
-><td><gsf:link type='classifier'><gsf:metadata name='dls.Keyword' /></gsf:link></td></gsf:template
-></format
-></classifier
-></browse
->    <display>
-        <format><gsf:template match="documentcontent">                                                                                                  </gsf:template>                                                                  <gsf:option name="TOC" value="true"/>                                        </format>
+            <format><gsf:template match="documentNode">                                      <td>                                                         <gsf:link type="document">                                                                            <gsf:metadata name="dls.Keyword"/>                                                                  </gsf:link>                                               </td>                            </gsf:template>                   <gsf:template match="classifierNode">                                      <td>                                                         <gsf:link type="classifier">                                                                            <gsf:metadata name="dls.Keyword"/>                                                                  </gsf:link>                                               </td>                            </gsf:template></format>
+        </classifier>
+        <format><gsf:template match="documentNode">                                      <td valign="top">                                                         <gsf:link type="document">                                                                            <gsf:icon type="document"/>                                                                  </gsf:link>                                               </td>                                         <td valign="top">                                                         <gsf:metadata name="srclink"/>                                                         <gsf:choose-metadata>                                                                            <gsf:metadata name="thumbicon"/>                                                                            <gsf:metadata name="srcicon"/>                                                                  </gsf:choose-metadata>                                                         <gsf:metadata name="/srclink"/>                                               </td>                                         <td valign="top">                                                             <gsf:choose-metadata>                                                                            <gsf:metadata name="dc.Title"/>                                                                            <gsf:metadata name="exp.Title"/>                                                                            <gsf:metadata name="Title"/>                                                                            <gsf:default>                                                  Untitled                                        </gsf:default>                                                                  </gsf:choose-metadata>                                                             <gsf:switch>                                                                            <gsf:metadata name="Source"/>                                                                            <gsf:when test="exists">                                                                                               <br/>                                                                                               <i>                                                            (                                                            <gsf:metadata name="Source"/>                                                            )                                                  </i>                                                                                     </gsf:when>                                                                  </gsf:switch>                                               </td>                            </gsf:template>                   <gsf:template match="classifierNode">                                      <td valign="top">                                                         <gsf:link type="classifier">                                                                            <gsf:icon type="classifier"/>                                                                  </gsf:link>                                               </td>                                         <td valign="top">                                                         <gsf:metadata name="srclink"/>                                                         <gsf:choose-metadata>                                                                            <gsf:metadata name="thumbicon"/>                                                                            <gsf:metadata name="srcicon"/>                                                                  </gsf:choose-metadata>                                                         <gsf:metadata name="/srclink"/>                                               </td>                                         <td valign="top">                                                             <gsf:choose-metadata>                                                                            <gsf:metadata name="dc.Title"/>                                                                            <gsf:metadata name="exp.Title"/>                                                                            <gsf:metadata name="Title"/>                                                                            <gsf:default>                                                  Untitled                                        </gsf:default>                                                                  </gsf:choose-metadata>                                                             <gsf:switch>                                                                            <gsf:metadata name="Source"/>                                                                            <gsf:when test="exists">                                                                                               <br/>                                                                                               <i>                                                            (                                                            <gsf:metadata name="Source"/>                                                            )                                                  </i>                                                                                     </gsf:when>                                                                  </gsf:switch>                                               </td>                            </gsf:template>                   <gsf:template match="classifierNode" mode="horizontal">                                      <gsf:link type="horizontal">                                                         <gsf:metadata name="Title"/>                                               </gsf:link>                            </gsf:template></format>
+    </browse>
+    <display>
+        <format><gsf:template match="documentcontent">                                                                                                                                </gsf:template>                                                                                      <gsf:option name="TOC" value="true"/>                                                  </format>
     </display>
-<replaceListRef id="gs2-standard"
- /></collectionConfig
->
+    <replaceListRef id="gs2-standard"/>
+</CollectionConfig>