Index: eenstone3/trunk/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml
===================================================================
--- /greenstone3/trunk/web/sites/localsite/collect/gs2mgdemo/etc/collectionConfig.xml	(revision 14193)
+++ 	(revision )
@@ -1,65 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<CollectionConfig xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-    <metadataList>
-        <metadata lang="en" name="creator">greenstone@cs.waikato.ac.nz</metadata>
-        <metadata lang="en" name="maintainer"/>
-        <metadata lang="en" name="public">true</metadata>
-    </metadataList>
-    <displayItemList>
-        <displayItem assigned="true" lang="en" name="description">This is a demonstration collection for the Greenstone3 digital library software. It contains a small subset (11 books) of the Humanitarian and Development Libraries. It is a Greenstone2 collection, built with MG. The Greenstone2 configuration files have been converted to Greenstone3 equivalents, enabling it to be served using Greenstone3.</displayItem>
-        <displayItem assigned="true" lang="en" name="smallicon">gs2mgdemo_sm.gif</displayItem>
-        <displayItem assigned="true" lang="en" name="icon">gs2mgdemo.gif</displayItem>
-        <displayItem assigned="true" lang="en" name="name">Greenstone2 MG demo collection</displayItem>
-    </displayItemList>
-    <search type="mg">
-        <index name="document:text">
-            <displayItem lang="ru" name="name">ÐÐŸÐ»ÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ</displayItem>
-            <displayItem lang="en" name="name">entire documents</displayItem>
-            <displayItem lang="es" name="name">documentos enteros</displayItem>
-            <displayItem lang="fr" name="name">documents entiers</displayItem>
-        </index>
-        <index name="section:Title">
-            <displayItem lang="ru" name="name">ÐÐ°Ð·Ð²Ð°ÐœÐžÑ ÑÐ°Ð·ÐŽÐµÐ»ÐŸÐ²</displayItem>
-            <displayItem lang="en" name="name">section titles</displayItem>
-            <displayItem lang="es" name="name">tÃ­tulos de las secciones</displayItem>
-            <displayItem lang="fr" name="name">titres des sections</displayItem>
-        </index>
-        <index name="section:text">
-            <displayItem lang="ru" name="name">ÐÐ»Ð°Ð²Ñ</displayItem>
-            <displayItem lang="en" name="name">chapters</displayItem>
-            <displayItem lang="es" name="name">capÃ­tulos</displayItem>
-            <displayItem lang="fr" name="name">chapitres</displayItem>
-        </index>
-        <format name="searchType">plain,form</format>
-        <format><gsf:template match="documentNode">                                                                                                                          <td valign="top">                                                                                                                                                                                       <gsf:link type="document">                                                                                                                                                                                                                                                    <gsf:icon type="document"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                                                          <td>                                                                                                                                                                                       <gsf:switch>                                                                                                                                                                                                                                                    <gsf:metadata name="Title" select="ancestors" separator=": "/>                                                                                                                                                                                                                                                    <gsf:when test="exists">                                                                                                                                                                                                                                                                                                                 <gsf:metadata name="Title" select="ancestors" separator=": "/>                                                                                                                                                           :                                                                                                                            </gsf:when>                                                                                                                                                                                                                     </gsf:switch>                                                                                                                                                                                       <gsf:link type="document">                                                                                                                                                                                                                                                    <gsf:metadata name="Title"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                           </gsf:template></format>
-    </search>
-    <import>
-        <pluginList>
-            <plugin name="ZIPPlug"/>
-            <plugin name="GAPlug"/>
-            <plugin name="TEXTPlug"/>
-            <plugin name="HTMLPlug"/>
-            <plugin name="EMAILPlug"/>
-            <plugin name="PDFPlug"/>
-            <plugin name="RTFPlug"/>
-            <plugin name="WordPlug"/>
-            <plugin name="MetadataXMLPlug"/>
-            <plugin name="ArcPlug"/>
-            <plugin name="RecPlug"/>
-        </pluginList>
-    </import>
-    <browse>
-        <classifier name="AZList">
-            <option name="-metadata" value="dls.Subject"/>
-            <format><gsf:template match="classifierNode" mode="horizontal">                                                                  <gsf:link type="horizontal">                                                                                                   <gsf:metadata name="Title"/>                                                                                  </gsf:link>                                                 </gsf:template></format>
-        </classifier>
-        <classifier name="AZCompactList">
-            <option name="-metadata" value="dls.Title"/>
-        </classifier>
-        <format><gsf:template match="documentNode">                                                                                                                          <td valign="top">                                                                                                                                                                                       <gsf:link type="document">                                                                                                                                                                                                                                                    <gsf:icon type="document"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                       <gsf:metadata name="srclink"/>                                                                                                                                                                                       <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="thumbicon"/>                                                                                                                                                                                                                                                    <gsf:metadata name="srcicon"/>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                       <gsf:metadata name="/srclink"/>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                           <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="dc.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="exp.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="Title"/>                                                                                                                                                                                                                                                    <gsf:default>                                                                                                                                                           Untitled                                                                                                                            </gsf:default>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                           <gsf:switch>                                                                                                                                                                                                                                                    <gsf:metadata name="Source"/>                                                                                                                                                                                                                                                    <gsf:when test="exists">                                                                                                                                                                                                                                                                                                                 <br/>                                                                                                                                                                                                                                                                                                                 <i>                                                                                                                                                                                          (                                                                                                                                                                                          <gsf:metadata name="Source"/>                                                                                                                                                                                          )                                                                                                                                                           </i>                                                                                                                                                                                                                                                                                  </gsf:when>                                                                                                                                                                                                                     </gsf:switch>                                                                                                                                                        </td>                                                                                           </gsf:template>                                                             <gsf:template match="classifierNode">                                                                                                                          <td valign="top">                                                                                                                                                                                       <gsf:link type="classifier">                                                                                                                                                                                                                                                    <gsf:icon type="classifier"/>                                                                                                                                                                                                                     </gsf:link>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                       <gsf:metadata name="srclink"/>                                                                                                                                                                                       <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="thumbicon"/>                                                                                                                                                                                                                                                    <gsf:metadata name="srcicon"/>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                       <gsf:metadata name="/srclink"/>                                                                                                                                                        </td>                                                                                                                             <td valign="top">                                                                                                                                                                                           <gsf:choose-metadata>                                                                                                                                                                                                                                                    <gsf:metadata name="dc.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="exp.Title"/>                                                                                                                                                                                                                                                    <gsf:metadata name="Title"/>                                                                                                                                                                                                                                                    <gsf:default>                                                                                                                                                           Untitled                                                                                                                            </gsf:default>                                                                                                                                                                                                                     </gsf:choose-metadata>                                                                                                                                                                                           <gsf:switch>                                                                                                                                                                                                                                                    <gsf:metadata name="Source"/>                                                                                                                                                                                                                                                    <gsf:when test="exists">                                                                                                                                                                                                                                                                                                                 <br/>                                                                                                                                                                                                                                                                                                                 <i>                                                                                                                                                                                          (                                                                                                                                                                                          <gsf:metadata name="Source"/>                                                                                                                                                                                          )                                                                                                                                                           </i>                                                                                                                                                                                                                                                                                  </gsf:when>                                                                                                                                                                                                                     </gsf:switch>                                                                                                                                                        </td>                                                                                           </gsf:template>                                                             <gsf:template match="classifierNode" mode="horizontal">                                                                                                                          <gsf:link type="horizontal">                                                                                                                                                                                       <gsf:metadata name="Title"/>                                                                                                                                                        </gsf:link>                                                                                           </gsf:template></format>
-    </browse>
-    <display>
-        <format><gsf:template match="documentcontent">                                                                                                  </gsf:template>                                                                  <gsf:option name="TOC" value="true"/>                                        </format>
-    </display>
-    <replaceListRef id="gs2-standard"/>
-</CollectionConfig>